0.9.18.32: room test that was supposed to be in 0.9.18.31
authorNikodemus Siivola <nikodemus@random-state.net>
Fri, 3 Nov 2006 19:56:36 +0000 (19:56 +0000)
committerNikodemus Siivola <nikodemus@random-state.net>
Fri, 3 Nov 2006 19:56:36 +0000 (19:56 +0000)
tests/room.test.sh [new file with mode: 0644]
version.lisp-expr

diff --git a/tests/room.test.sh b/tests/room.test.sh
new file mode 100644 (file)
index 0000000..23c30ed
--- /dev/null
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+# testing ROOM in a fresh SBCL.
+
+# This software is part of the SBCL system. See the README file for
+# more information.
+#
+# While most of SBCL is derived from the CMU CL system, the test
+# files (like this one) were written from scratch after the fork
+# from CMU CL.
+#
+# This software is in the public domain and is provided with
+# absolutely no warranty. See the COPYING and CREDITS files for
+# more information.
+
+echo //entering room.test.sh
+
+${SBCL:-sbcl} --eval "(progn (dotimes (i 10) (dotimes (j 10) (room)) (gc)) (sb-ext:quit :unix-status 52))"
+if [ $? = 52 ]; then
+    true # nop
+else
+    exit 1
+fi
+
+# success convention for script
+exit 104
index aad4101..ac5c7b8 100644 (file)
@@ -17,4 +17,4 @@
 ;;; checkins which aren't released. (And occasionally for internal
 ;;; versions, especially for internal versions off the main CVS
 ;;; branch, it gets hairier, e.g. "0.pre7.14.flaky4.13".)
-"0.9.18.31"
+"0.9.18.32"